
from channels.generic.websocket import WebsocketConsumer

from transcendence.abstract.AbstractRoomMember import AbstractRoomMember

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from .AGame import AGame

class ASpectator(AbstractRoomMember):

    def __init__(self, user_id: int, socket: WebsocketConsumer, game):
        
        super().__init__(user_id, socket)
        
        self.game: AGame = game